Package com.independentsoft.office.odf.styles

# Class DefaultRowStyle

java.lang.Object
com.independentsoft.office.odf.styles.DefaultStyle
com.independentsoft.office.odf.styles.DefaultRowStyle

public class DefaultRowStyle extends DefaultStyle
Represents default styles of the row style.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `family`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultRowStyle()`
  Initializes a new instance of the DefaultRowStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefaultRowStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getBackgroundColor()`
  Gets the background color for cell.
  `BackgroundImage`
  `getBackgroundImage()`
  Gets the background image.
  `Break`
  `getBreakAfter()`
  Gets the break after.
  `Break`
  `getBreakBefore()`
  Gets the break before.
  `Size`
  `getHeight()`
  Gets the fixed row height.
  `KeepTogether`
  `getKeepTogether()`
  Gets the keep together.
  `Size`
  `getMinHeight()`
  Gets the fixed minimum height for a row.
  `void`
  `setBackgroundColor​(String backgroundColor)`
  Sets the background color for cell.
  `void`
  `setBackgroundImage​(BackgroundImage backgroundImage)`
  Sets the background image.
  `void`
  `setBreakAfter​(Break breakAfter)`
  Sets the break after.
  `void`
  `setBreakBefore​(Break breakBefore)`
  Sets the break before.
  `void`
  `setHeight​(Size height)`
  Sets the fixed row height.
  `void`
  `setKeepTogether​(KeepTogether keepTogether)`
  Sets the keep together.
  `void`
  `setMinHeight​(Size minHeight)`
  Sets the fixed minimum height for a row.
  `void`
  `setUseOptimalHeight​(boolean useOptimalHeight)`
  Specifies that a row height should be recalculated automatically if content in the row changes.
  `String`
  `toString()`
  Converts the value of the current DefaultRowStyle object to its equivalent string representation.
  `boolean`
  `useOptimalHeight()`
  Specifies that a row height should be recalculated automatically if content in the row changes.

  ### Methods inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `getFamily, setFamily, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultRowStyle

    public DefaultRowStyle()
    Initializes a new instance of the DefaultRowStyle class.

- ## Method Details

  - ### clone

    public DefaultRowStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DefaultRowStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `DefaultStyle`
    Returns:
      the string

  - ### getHeight

    public Size getHeight()
    Gets the fixed row height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Size height)
    Sets the fixed row height.
    Parameters:
      `height` - the new height

  - ### getMinHeight

    public Size getMinHeight()
    Gets the fixed minimum height for a row.
    Returns:
      the min height

  - ### setMinHeight

    public void setMinHeight​(Size minHeight)
    Sets the fixed minimum height for a row.
    Parameters:
      `minHeight` - the new min height

  - ### useOptimalHeight

    public boolean useOptimalHeight()
    Specifies that a row height should be recalculated automatically if content in the row changes.
    Returns:
      true, if successful

  - ### setUseOptimalHeight

    public void setUseOptimalHeight​(boolean useOptimalHeight)
    Specifies that a row height should be recalculated automatically if content in the row changes.
    Parameters:
      `useOptimalHeight` - the new use optimal height

  - ### getBackgroundColor

    public String getBackgroundColor()
    Gets the background color for cell.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(String backgroundColor)
    Sets the background color for cell.
    Parameters:
      `backgroundColor` - the new background color

  - ### getBreakBefore

    public Break getBreakBefore()
    Gets the break before.
    Returns:
      the break before

  - ### setBreakBefore

    public void setBreakBefore​(Break breakBefore)
    Sets the break before.
    Parameters:
      `breakBefore` - the new break before

  - ### getBreakAfter

    public Break getBreakAfter()
    Gets the break after.
    Returns:
      the break after

  - ### setBreakAfter

    public void setBreakAfter​(Break breakAfter)
    Sets the break after.
    Parameters:
      `breakAfter` - the new break after

  - ### getKeepTogether

    public KeepTogether getKeepTogether()
    Gets the keep together.
    Returns:
      the keep together

  - ### setKeepTogether

    public void setKeepTogether​(KeepTogether keepTogether)
    Sets the keep together.
    Parameters:
      `keepTogether` - the new keep together

  - ### getBackgroundImage

    public BackgroundImage getBackgroundImage()
    Gets the background image.
    Returns:
      the background image

  - ### setBackgroundImage

    public void setBackgroundImage​(BackgroundImage backgroundImage)
    Sets the background image.
    Parameters:
      `backgroundImage` - the new background image